BillTime.MAN    User manual for BillTime Version 3.0

                            THE DISCLAIMER
Saroff Design offers BillTime as "SHAREWARE", and allows the unlimited
copying and distribution of BillTime to any one. This is NOT free
software, and Saroff Design expects to be paid the registration fee by
all people who continue to use BillTime. Saroff Design offers BillTime
"AS IS", and Saroff Design makes no warranty, expressed or implied,
with regard to the software. All implied warranties, including the
warranties of merchantablitiy and fitness for a particular use, are
hereby excluded. In no event shall Saroff Design be liable for any lost
profits, lost savings; or other consequential, special, or indirect
damages, even if Saroff Design has been advised of the possibility of
such losses or damages. In any event, Saroff Design liability arising
out of any kind of legal claim (whether in tort, contract, or
otherwise) in connection with the software will not exceed the fee paid
for the software license.

                           THE DESCRIPTION
BillTime is a full-featured, multi-user, time tracking system which
allows professionals who charge for their services to easily keep
detailed records of when and what they did. Include features: unlimited
number of work slips; multiple data areas; reports; unlimited number of
clients, activities, projects and users. Fuzzy logic text search of all
work slips. Bill charges by time, flat rate, or not at all. Similar to 
expensive commercial package, but much easier to use. It is not necessary 
to read the user manual to begin using BillTime -- all relevant menu 
choices and hot-keys are shown at all times on the entry screens. Data 
entry fields are automatically checked against automatic look-up lists. 
Free-form notes can be added to any work slip, and the entire slip 
contents can be searched quickly and easily.

Suggested registration fee: $19.00.

What happens if you do not pay the registration fee: nothing. This
shareware program is complete and will work forever even if you do not
decide to pay the registration fee.

What you get if you do pay the registration fee: the Pro package, which
contains the complete BillTime program PLUS a full Billing/Invoice
module, a network security system and more.

How hard is it to start using BillTime: not hard at all. In fact, I
suggest that once you have BillTime installed on your computer that you
go ahead and start  using it, then, if you have any questions, read the
rest of this document.

                         INSTALLATION INSTRUCTIONS
To install Billtime you create a directory on your hard drive called    
    C:\BILLTIME
Do this by typing:
    C:
    CD \
    MKDIR BILLTIME
    CD \BILLTIME

Copy the billtime.zip file to this directory by typing
    COPY A:billtime.zip
  or, if billtime.zip is on another drive disk, such as B:
    COPY B:\billtime.zip

Uncompress billtime.zip by typing:
    PKUNZIP billtime.zip



          UPDATING FROM AN EARLIER VERSION OF BILLTIME

If you are currently using an earlier version of billTime, you should
replace billtime.exe and billtime.ovl with the new billtime.exe and 
billtime.ovl files. When you run billtime, the program will then modify
several of your data files. None of your current data will be changed, 
and all of your current menu and program items will be the same. What will
be different is the addition of several more program features as well
as improved data features.


                   RUNNING BILLTIME FOR THE FIRST TIME
When BillTime is run for the first time it will create a working
database in the C:\BILLTIME directory. The database consists of empty
data files and their indexes. BillTime will display a message asking
you to confirm the creation of this database. Type the letter 'Y' (at
the end of this document is a specific list of all the files created by
BillTime).

After the empty database is  created, the following MAIN MENU will
appear:

ͻ
            Shareware --- BillTime Time Track System --- Shareware         
ݺ
                  ** MAIN MENU - MAKE CHOICE OR PRESS ESC **             ݺ
                ͻ            ݺ
                1) CREATE A WORK SLIP                                  ݺ
                2) SEARCH FOR SLIPS                                    ݺ
                3) USER LIST                                           ݺ
                4) CLIENT LIST                                         ݺ
                5) ACTIVITY LIST                                       ݺ
                6) PROJECT LIST                                        ݺ
                7) REPORTS                                             ݺ
                8) CHANGE DATA AREA                                    ݺ
                9) MAINTENANCE UTILITIES                               ݺ
                H) VERSION HISTORY                                     ݺ
                P) PRO FEATURES & REGISTRATION INFORMATION             ݺ
                C) MAKE A COPY FOR A FRIEND                            ݺ
                D) TRANSACTIONS AND INVOICES                           ݺ
                Q) QUIT                                                ݺ
                ͼ            ݺ
                        Data Directory: C:\BILLTIME\                     ݺ
ݺ
    Version 3.0  09/20/93  Copyright 1993 Steve Saroff   (SSaroff@aol.com) 
 Logged in as user SAROFF, you have ADMINISTRATION rights. Mem: 104 ͼ
 
Work slips are where you will enter what work you have done and all the
information about the work. None of the information is mandatory,
however for you to get practical use from BillTime you should enter as
much information as possible.

When entering information on slips, the User, Client, Activity and
Project data fields are cross checked against look-up lists. Look-up
tables will automatically be displayed when ever an entry is made which
is not found in the existing lists, and, if the entry should be on the
list, it can be added.

Here is what a slip entry screen looks like:

 F10=Save Changes                         Esc=Exit with OUT save 
 F9=Add/Edit Notes                        F1=Look-up Tables 
 >> TIME RECORD SLIP << ͻ
    Slip Num:  00000001                                                    
        User:                                                              
      Client:                                                              
    Activity:                                                              
        Date:                                                              
  Time Spent:     0.00                                                     
  Start Time:  14:41     Stop Time:   :                                    
     Project:                                                              
                                                                           
   Charge at:  C Client's charge rate      Hourly rate:    0.00            
                                  charge For this Work:                    
F9=View/Edit Notes                                                         
                                                                           
ͼ
 
Here is what should be entered in the appropriate fields:
   User: name, or code, of the person doing the work.
   Client: name, or code, for who the work was done.
   Activity: name, or code, for what was done.
   Time spent: hours and decimal of time done for this slip.
   Start time: time work was begun
   Stop time: time work was completed
   Project: the project which this slip should be included with.
   Charge at: Hourly charges can be set for the user, client or
              activity. The slip can also be billed at a flat rate 
	      or not at all.
   Hourly rate: a dollar per hour rate can be entered in instead of
                using the set rate for the client, user, or activity.
  FreeForm notes: can be added/edited by pressing the F9 key. There is
                  no limit to the length of the notes that can be added 
                  to a slip, and any information entered in the notes can 
                  be searched and located.

The time spent on a slip can be entered as an hour number, or you can
just enter the start time or the stop time of the work. In the DEFAULT
CONFIGURATION section of the program you may chose to have the start
time, or the end time automatically entered on the slip (using your
system's clock), or you may chose to not have anything automatically
entered.

Each work slip can be assigned to a PROJECT. Projects are convenient
ways to keep track of time spent which may involve work with a variety
of clients.

Once again, it is not necessary to enter any information on a slip.

There are two ways to create new work slips. The first is to chose the
very first menu selection, CREATE A WORK SLIP, which will create a new
slip, with the next sequential slip number automatically assigned. Or,
from the SEARCH FOR SLIPS lists, you can create a new slip by pressing
the F2 key.


How to locate a work slip:
The second Main Menu choice is SEARCH FOR A SLIP. You will be able to
search for slips in the following four ways:
                    ****      WORK SLIP SEARCH      **** 
               ͻ
               1) LIST OF ALL WORK SLIPS BY SLIP NUMBER 
               2) LIST OF ALL WORK SLIPS BY CLIENT      
               3) LIST OF ALL WORK SLIPS BY PROJECT     
               4) FUZZY TEXT SEARCH OF ALL SLIPS        
               5) RETURN TO MAIN MENU                   
               ͼ

1) Chronologically by slip number. A list of all slips will be shown
and by entering in the slip number (or an approximation) you can locate
slips.
2) Alphabetically by CLIENT. A list will show all slips sorted by
clients, and you can locate slips by typing a client Code/Name (or an
approximation).
3) Alphabetically by PROJECT. A list will show all slips sorted by
projects, and you can locate slips by typing a client Code/Name (or an
approximation).
4) By fuzzy logic, which is really neat. You can enter ANY text and the
entire slip database will be search quickly (even text in the free-form
text notes), and a list of all direct text matches will be displayed.

Once a slip is located, by pressing the enter key the entire slip will
be displayed. You can edit any part of the slip except the parts that
are automatically filled in (the sequential slip number, and the totals
for project information).

Slips can also be deleted, one-at-a-time from the lists by pressing the
F3 key. Slips can also be mass-deleted, many-at-a-time, from the PURGE
utility, discussed bellow.


Lists:
All the lists in the slip database are dynamically updated while
entering information from the mail slip entry screen. However, the
lists can also be edited and added to from Main Menu selections. There
are lists for the following:
USERS  You can add any user who will you need to track time for, and
their hourly rate. There is no limit to the number of users (just as
there is no limit to any part of the BillTime system), and each user
can have a different default hourly billing rate. This makes it
possible to create entries with different billing rates for the same
person.

CLIENTS You enter client information in this list, and you can add a
different hourly charge for each client if you want. For example, in my
copy of BillTime (which I use for all my billing for my business), I 
have several non profit clients whom I charge less then the rest of my
clients.

ACTIVITIES  You enter activities here, such as PROGRAMMING, PHONE
CALLS, MEETINGS, DIGGING DITCHES, PREPARING BRIEFS, COURT TIME, TAKING
PHOTOS, etc. Each activity can have a set hourly billing rate. For
example, I charge one rate for Windows programming, another for DOS
programming, and another for Unix programming. I even have rates for
time I spend on the phone, and for lunch meetings. This gives my
clients a very nice picture of what I do for them and why the totals on
my bills are what they are (If I have spent the last 100 hours doing
kernel level Unix programming it will be more expensive then if I had
been having a lot of lunch meetings and phone conversations). I also
use this field to enter direct expenses (which I charge back to my
clients at flat rates), such as PHOTOCOPIES, OFFICE SUPPLIES, FAX
CHARGES, GASOLINE, etc. 

PROJECTS  Projects are nice things to keep information on. Any work
slip can be assigned to any project, thus making it possible for
several people to work for several different clients but all for the
same project. You can enter estimated start and stop dates, estimated
completion times, as well as actual start and completion dates and
times. This information can be looked up easily, and is also
automatically displayed on the work slips. (The full benefit of the
project information is had when using the Billing system, which is part
of the Pro version, which you can have for the registration fee of
$19.00).


                              REPORTS
The main menu choice REPORTS is where you go to create summary
information about all, or some, of the work slips in the slips
database. Reports can be printed, displayed, sent to a file, or written
as SDF ASC files. Reports show summary information (and detailed for
the Pro version) between any two dates, and for a variety of conditions and 
sort options. For example,you can use this system to create summary reports
for any client showing the total number of hours worked between any two dates. 

                         CHANGING DATA AREAS
The main menu choice CHANGE DATA AREA lets you completely change the
working directory for BillTime. You can have any number of completely
separated work areas. When you change data areas, a completely new and
empty database will be created in the newly chosen directory. This
makes it possible for two separate business who are sharing the same
office and computer, or who are on the same network, to keep their
information separate from each other. 

If you have several data areas, and want BillTime to automatically
start in an area other than C:\BILLTIME, you can create a configuration
file which contains the name of the new, default data area. To do this
you must create an ASC file called   BILLTIME.CFG   which has the
following line in it:
   mDatapath=C:\xxxxx    
where the xxxx's are the name of the other data area. For example, if
you have a data area called  C:\BIGPLANS    you would create a file
called BILLTIME.CFG and put the following line in it:
   mDatapath=C:\BIGPLANS          [the case doesn't matter]
The billtime.cfg file must be in your working directory; ie, wherever
it is you type 'BILLTIME' from. This makes it possible to put the
billtime.exe file in a search path area (such as C:\dos) and have your
data areas in places besides c:\billtime.

However, don't go creating new databases recklessly, as they will
confuse you and take up disk space. Most businesses have been able to
operate just fine -- with several employees, many clients and
activities and projects -- from the single, default data area of
C:\billtime.




                        MAINTENANCE UTILITIES
The MAINTENANCE UTILITIES consist of the following menu choices:
DOWNLOAD DATA  -- which is the same as going to reports and choosing to
output the report in SDF format.
REBUILD ALL INDEXES   -- if, and whenever things do not seem to be
working correctly, chose this menu option. All database systems are
subject to data index corruption from disk problems, power interrupts,
and, mostly, program bugs which can leave indexes out of order.
Rebuilding indexes is a way to fix problems.

EDIT DEFAULT CONFIGURATION  -- you can enter default values for user,
activity, client and project here, so if you find yourself typing too
much of the same exact thing over and over, please set the default
values to who you are. You can also have the program automatically
enter the stop time instead of the start time (or you can turn the
automatic fill in features off), set the pkzip flag to Y (for using
pkzip to create backup files when indexes are rebuilt), and if you do
not have a tractor-feed printer you can set a flag which will then have
the program pause for you when it prints reports.

PURGE SLIPS  -- be careful purging slips. When you purge slips they are
gone forever. You purge by entering a combination of data ranges,
users, clients, activities and projects. The more you enter, the more
restrictive the purge is. For example, if you just enter the user JOE,
then all slips for JOE will be gone. But, if you enter JOE and a date
range, then only slips in that date range will be gone, and if you
further restrict the purge criteria by entering an activity such as
OOFING OFF, then only JOE's slips, for GOOFING OFF in the entered
date range will be purged.(The exception to this is a safety feature:
If you leave everything blank, then the purge will NOT be done.)


                          TRANSACTIONS AND INVOICES  
                               (Pro version only)

                    ****      TRANSACTIONS AND INVOICES      **** 
        ͻ
        1) ENTER A MONEY TRANSACTION                                    
        2) GENERATE INVOICES                                            
        3) ENTER/EDIT BILLING CO'S INFORMATION FOR INVOICE PRINTING     
        4) RE-PRINT AND INVOICE                                         
        5) CLIENT TRANSACTION AND INVOICE REPORT                        
        5) RETURN TO MAIN MENU                                          
        ͼ


                                 INVOICES
The Pro version contains a complete invoice and transaction system.
To use the invoice system, you must first enter in some information for
your business or company. You do this from the 3rd menu option in the
invoice and transaction main menu. You must chose a company code, for
example, my business' company code is "SAROFF DESIGN". You must also
enter a company description. For example, my business description is
"Saroff Design, Software".  This information is only used for printing 
invoices. You should also enter your address information. There are other
information fields which you can enter, and which if entered will appear
on all the printed invoices. These fields are TERMS -- which will appear
after the summary of current and past charges. For example, for my company
in the terms field I have entered: "TERMS: net due in 30 days." for the 
second TERMS field, I have entered: "    %12 on all charges over 30 days."
The two HEADER fields, if information is entered, will be printed after
the client's billing address is printed, and the two TRAILER fields will
be printed after all other information is printed. For example, I have 
the following in the first header fields: "Details follow summary", and
nothing in the second header field. In the TRAILER field I have entered
"Thank you for your business."
Here is an example (short) invoice:
**********************************************************************
**********   INVOICE    For PATS ENGINEERING  Printed:10/03/93  Page: 1
------------------------------------------------------------------------------
Saroff Design, Software       
 
Steve Saroff                                          
1901 Missoula Ave.                                    
Missoula, MT, 59802     



Pats Engineering           
Attention: Joe Schmoe                                            
1234 This street                                      
Your City, MT, 54321     
(406) 123-1234      

 
(details follow summary)                              
 
Invoice Number: 0000004043              Invoice Date: 10/03/93

This invoice is for work done from 10/03/93 15:15  Through 10/03/93  23:14
                 The current due amount is:     $40.00
               The total amount now due is:     $40.00

Your last invoice was invoice number: 0000002345  dated: 09/03/93
Your last payment was received on 10/02/93
That payment amount was $3,000.00, credited to invoice number 0000002345

  
TERMS: net due in 30 days                             
       %12 on all unpaid charges over 30 days.        
  
This invoice has 1  current work Slips
Work Slip#  Date    Hrs  Activity     Project           Done By        Charge
------------------------------------------------------------------------------
00000049  10/03/93   1.00 PROGRAMMING C     TRANSITION    SAROFF         $40.00
==============================================================================
Total Slips:     1    Total Hours:      1.00   Work Charge:    $40.00

**********  Detailed Work Slip Information  *********
  Work Slip #: 00000049 10/03/93  Hours:  1.00 PROGRAMMING   Charge:   $40.00
     From 22:00  To  23:00
     Billed at rate of     $40.00  per hour  Project: TRANSITION          
Adding trigger based e-mail capability to the sendEM module. Now system will    
automatically send e-mail to network's cc mail system whenever a program or a  
system error is detected. Linked with Borland's C++ system, and fully tested   
the Windows interface. System is now complete.                                 
------------------------------------------------------------------------------

End of invoice                                        
Thank you for your business                           
****************************************************************************

Invoices can be sent to the  printer or to a file. Invoices can also
be reprinted. 

To generate invoices, chose the generate invoice menu choice from the 
transaction and invoice main menu. The screen which appears has detailed
information on how to start the generation process. Invoices can be generated
at any time and for all or just one client(s). All un-invoiced work slips
will be included in the invoice, up to the current date and time, or up
to an arbitrary date and time which you can enter.

                           TRANSACTIONS
When you receive payments for your invoices, you need to enter the
money amounts in the transactions section of the program. The transaction
menu choice will 1st prompt you for the client's company code. If you are 
not sure of what it is, press the F1 key for the full list. You will then
see all the most recent invoice and transaction records, and you will
prompted to enter the amount you are currently receiving. If you do not
enter transactions, your invoices will show past due amounts, thus it is
very, very important to enter each  received payment, and make sure
that the payments are entered for the correct client.

CLIENT TRANSACTION AND INVOICE REPORT
This report, from the transaction and invoice main menu, will show for
any entered client, all transaction amounts and dates, as well as all
invoice amounts and dates. This report can be sent to the printer or to
a file.




                       ORDERING INFORMATION
If you like this program, and use it, I would like you to register it.
The registration fee isn't much and you get a lot back for it. There is
a main menu choice called PRO FEATURES & REGISTRATION INFORMATION which
will print an order form for you.

 For registering your copy of this program will receive as a bonus:     
    
                                                                              
    DETAIL REPORTS                                                
        a variety of detail and project reports, showing all information.
    PRINTED USER MANUAL                                                
       laser printed, detailed, easy to read.                          
    BILLING SYSTEM                                                     
        generate Invoices and track Transactions.                      
    NETWORK LICENSE                                                    
        allows unlimited use on networks.
    TECH NOTES                                                           
       information on how to export/import dbf data to/from other programs.
    ALL FUTURE UPDATES                                                     
       Windows Version (when developed), as well as maintenance releases.
    TECH-SUPPORT VIA E-MAIL                                              
       internet address used only for support of this program.           
                                                                         
To register and receive these bonus features, send $19 (check or money order)
            To: Steve Saroff 1901 Missoula Ave, Missoula MT 59802           
                                                                              

                          MAKE A COPY FOR A FRIEND
If you use BillTime, as well as registering it, I encourage you to give
copies of it to anyone you know. There is Main Menu choice which will
make a distribution copy of BillTime, and which will print an letter
which  you can send/give with the distribution diskette. If you plan on
using this distribution utility (a unique feature to all Saroff Design
Shareware), do not delete the BillTime.zip file which was originally
installed on your hard drive.

ͻ
                           Make a copy for a friend                        
 If you still have the DISTRIBUTION ZIP file (BILLTIME.ZIP) you can        
 create copies of BillTime Time Track System to be given to anyone.        
 You should have a blank, formatted floppy disk ready.                     
 This utility will copy BILLTIME.ZIP  onto the floppy, as well as          
 create a small set of installation instructions on the floppy.            
                                                                           
 You can also have this utility print a short intro letter to be sent      
 with the floppy disk.                                                     
ͼ



                                NETWORK INFORMATION
BillTime is a true multi-user database system. It uses record locking and allows
for many people to be using it simultaneously. The Pro version has a security
system, which keeps users out of other user's work slips. If you use billTime on
a Novell network, make sure to flag the BillTime.exe file as Sharable, as well
as all the other files in the F:\billtime directory.


List of files created and maintained by Billtime:

Directory of C:\BILLTIME 
 
BILLTIME.EXE  == the executable file
BILLTIME.OVL  == overlay for the executable
* all the DBF and DBT files are the data files (in dBase format)
ACTILIST.DBF 
DBF_DIC.DBF 
CLIELIST.DBF 
CONFIGURE.DBF
NTX_DIC.DBF
ERRORLST.DBF
ERRORLST.DBT
FIELDCON.DBF 
LASTNUM.DBF 
PASSWORD.DBF
PROJECT.DBF
SLIP.DBF
SLIP.DBT
USAGE.DBF 
USER.DBF
USERLIST.DBF
* all the NTX and IA files are index files
DBF_DIC.NTX
NTX_DIC.NTX
SLIPCLIE.NTX
SLIPPROJ.NTX
SLIPSYS.NTX 
USERLIST.NTX
CLIELIST.NTX
ACTILIST.NTX
PROJECT.NTX
SLIP.IA 
TIME.LST      === a marker file used to record the current time
BILLTIME.MAN  === this document
BILLTIME.ZIP  === the distribution zip file



Tech Notes on Data File structures.
To import and export to and from other files, use the following information.

All data files are dBaseIII compatable.
Indexes are created in Clipper (.NTX) files, as well as with a 
Text Search algorithim (.IA) files.

Files are opened in shared mode (set exclusive OFF) and thus can be
read over a network with any xBase system.


The following is a complete list of all the data files.
After each data file name, the file's structure is shown with the
following conventions:
FIELD_NAME  FIELD_TYPE  FIELD_SIZE
where the field type is one of the following:
C  for character
D for date
N for numeric
M for memo




ACTILIST.DBF  Activity List 
used for billable activities
	CODE C 20          ---- activity
	DESC C 20          ---- description
	RATE N 5,2         ---- rate per hour for charges



BILLINGC.DBF   Billing Company Information
Has information for creating invoices with different looks to them
	CODE C 20			---- Billing Company Code
	DESC C 30			---- description
	  ---- the following fields will only be displayed if they are present  --
	CONTROLER C 54     
	ADD1  C  54
	ADD2  C  54
	CITY  C  54
	STATE  C  2
	ZIP  C  10
	PHONE1  C  20
	PHONE2  C 20
	TERMS  C  54
	TERMS2  C  54 
	HEADER  C  54      --- shown at the start of the invoice
	HEADER2  C  54 
	TRAILER  C  54 	   --- shown at end of invoice
	TRAILER2  C  54 

CLIELIST.DBF   Client List
Has client address and default billing rate
	CODE	C  20
	DESC	C  30
	RATE	N  5
	CONTACT	C  54
	ADD1	C  54
	ADD2	C  54
	CITY	C  54
	STATE	C  2
	ZIP	C  10
	PHONE1	C  20
	PHONE2	C  20
	MORE1	C  54   -- descriptive use only
	MORE2	C  54   -- descriptive use only



CLIENTIN.DBF    Client Invoice Records
Has single record for each invoiced client and the current invoice status
	LASTINV	C  10     -- invoice number
	CLIENT	C  20
	CURRENT	N  8,2    -- current due for invoice period
	PAST	N  9,2    -- past due from all previous invoices
	LASTINVDAT	D  8  -- date of invoice
	LASTINVTIM	C  8  -- time
	LASTINVSLI	C  8  -- greates slip number
	TOTALDUE	N  10,2  -- current +  past
	LASTRECEIV	N  8,2
	LASTRECDAT	D  8
	LASTRECTIM	C  8
	LASTCREDIN	C  10
	TOTALRECEI	N  10,2   -- total amount from all transactions recieved
	OVERPAID	N  10,2   -- over paid amount



CONFIGUR.DBF  Configuration file. 
Has user definable fields
	DATAPATH	C  30
	DRIVE	C  1 
	DEFUSER	C  10
	DEFCLIE	C  20
	DEFACTI	C  20
	FILLDATE	C  1
	FILLTIME	C  1
	TIMEDEF	C  1
	DEFCHARGE	C  1
	DEFRATE	N  6
	USEZIP	C  1        
	USESUPERS	C  1
	TRACTOR	C  1        -- tractor feed or single page
	DEFPROJN	C  20   -- default project
	BILLINGCO	C  20   -- default billing Company 
	LINESPER	N  3    -- printed lines per page



ERRORLST.DBF   Error List file
Store any traped error messages
	DATE	D  8
	TIME	C  8
	PROC_NAME	C  19
	PROC_LINE	N  4
	DESCRIPTN	C  50
	COMMENTS	M  10
	LOGIN	C  10


FIELDCON.DBF      ---- not presently used


INVOICE.DBF    Invoice file
A record is created for each generated invoice for each client. Records
are never deleted.
	INVNUM	C  10     -- all invoice numbers are left padded with zeros
	CLIENT	C  20
	INVDATE	D  8
	INVTIME	C  8
	FROMDATE	D  8
	FROMTIME	C  8
	FROMSLIP	C  8
	TOSLIP	C  8
	SLIPCOUNT	N  5
	CURRENTDUE	N  8,2
	PASTDUE	N  8,2
	TOTALDUE	N  8,2
	PRINTED	L  1
	LASTINVNUM	C  10
	LASTINVDAT	D  8
	LASTINVTIM	C  8
	LASTINVCUR	N  8,2
	LASTINVPAS	N  8,2


LASTNUM.DBF  last Number file.
Contains the next slip, invoice and transaction numbers in triplicate for crc.
Warning: do not modify this file without changing values in ALL the records.
	SLIPNO	C  8    -- all work slips are left padded with zeros
	INVNUM	C  10   -- all invoice numbers are left padded with zeros
	TRANSNUM	C  10   -- all transaction numbers are left padded with zeros


PASSWORD.DBF    not currently used


PROJECT.DBF   Project file
Contains a list of all current projects
	CODE	C  20
	DESC	C  40
	ESTSTARTD	D  8
	ESTSTARTT	C  8
	ESTENDDATE	D  8
	ESTENDTIME	C  8
	ESTHOURS	N  9,2
	STARTDATE	D  8
	STARTTIME	C  8
	COMPDATE	D  8
	COMPTIME	C  8
	HOURSTODAT	N  9,2
	CHARGTODAT	N  11,2
	COMPLETED	L  1
	SLIPCOUNT	N  5


SLIP.DBF   Slip file
The master Work Slip File.
	SLIPNO	C  8      -- slip numbers are left padded with zeros
	USER	C  10
	CLIENT	C  20
	ACTIVITY	C  20
	STARTDATE	D  8
	STARTTIME	C  8
	STOPTIME	C  8
	BILLBY	C  1     -- N=no charge, F=Flat Rate, U=user, A=activity C=client
	BILLRATE	N  6,2  -- dollars per hour
	TIMESPENT	N  8,2
	CHARGE	N  9,2
	PROJNAME	C  20
	ONINVNUM	C  10   -- when ivoiced, this has the invoice number
	INVDATE	D  8        -- invoice date
	NOTE	M  10       -- memo field. Indexed with Fuzzly logic.


TRANSACT.DBF   Transaction file.
Has a record for each money transaction entered. 
	TRANSNUM	C  10
	TRANSDATE	D  8
	TRANSTIME	C  8
	CLIENT	C  20
	AMTREC	N  8,2    -- dollar amount entered.
	RECFORM	C  20     -- what form the payment is in, check or cash, etc.
	CHECKNUM	C  10  -- check number
	INVNUMCRED	C  10   -- credited to this invoice number
	NOTES	C  70     -- not a memo field. just chars.


USAGE.DBF   Usage file.
Keeps record of when the program was used. Only keeps 50 most recent records.
	LOGIN	C  20   -- if on a network, the users name
	INUSE	L  1
	USEDATE	D  8
	USETIME	C  8
	QUITDATE	D  8
	QUITTIME	C  8
	USECOUNT	N  5   -- what usage time this is


USER.DBF   not used.

USERLIST.DBF   User List file.
Has a record for each user and thier billing rate.
	CODE	C  10
	DESC	C  20
	RATE	N  5    -- hourly bill rate


================================= end of billtime.man
